import 'package:flex_color_scheme/flex_color_scheme.dart';
import 'package:flutter/material.dart';

class AppTheme {
  AppTheme._();

  static ThemeData lightTheme = FlexColorScheme.light(
    surfaceStyle: FlexSurface.medium,
    scheme: FlexScheme.mandyRed,
    fontFamily: 'RobotoCondensed',
  ).toTheme;

  static ThemeData darkTheme = FlexColorScheme.light(
    scheme: FlexScheme.mandyRed,
    fontFamily: 'RobotoCondensed',
  ).toTheme;

  static ThemeData makeTheme(ThemeData baseThemeData) {
    return baseThemeData.copyWith(
      bottomNavigationBarTheme: BottomNavigationBarThemeData(
        backgroundColor: baseThemeData.primaryColor));
  }
}
